Bug 120282 - acpi problems with Linux 2.6.4-x, namely battery
Summary: acpi problems with Linux 2.6.4-x, namely battery
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-07 15:43 UTC by Rui Miguel Seabra
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.6.5-1.315
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-11 01:15:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from boot with Linux 2.6.3 (10.46 KB, text/plain)
2004-04-07 15:44 UTC, Rui Miguel Seabra
no flags Details
dmesg from boot with Linux 2.6.4 (9.74 KB, text/plain)
2004-04-07 15:45 UTC, Rui Miguel Seabra
no flags Details
a diff from both dmesgs (8.97 KB, text/plain)
2004-04-07 15:45 UTC, Rui Miguel Seabra
no flags Details
dmesg from boot with Linux 2.6.5 (9.69 KB, text/plain)
2004-04-11 01:13 UTC, Rui Miguel Seabra
no flags Details
dmesg from boot with Linux 2.6.5 (9.69 KB, text/plain)
2004-04-11 01:13 UTC, Rui Miguel Seabra
no flags Details

Description Rui Miguel Seabra 2004-04-07 15:43:06 UTC
I've upgrade Linux from test2's stock 2.6.3-2.1.253.2.1 to 2.6.4-1.305
(and I've tried previous 2.6.4 releases with similar results), and I
notice that battery is considered as not available, for instance shown
as N/A by the battery status gnome applet.

I will attach dmesg from after boot for both versions of Linux and a
surprising (many things are removed!) diff.

Comment 1 Rui Miguel Seabra 2004-04-07 15:44:17 UTC
Created attachment 99190 [details]
dmesg from boot with Linux 2.6.3

nottice "ACPI: Battery Slot [BAT1] (battery present)"

Comment 2 Rui Miguel Seabra 2004-04-07 15:45:06 UTC
Created attachment 99191 [details]
dmesg from boot with Linux 2.6.4

notice "ACPI: Battery Slot [BAT1] (battery absent)"

Comment 3 Rui Miguel Seabra 2004-04-07 15:45:45 UTC
Created attachment 99192 [details]
a diff from both dmesgs

notice that lot's of things are removed

Comment 4 Rui Miguel Seabra 2004-04-11 01:13:15 UTC
Created attachment 99307 [details]
dmesg from boot with Linux 2.6.5

now it works again: notice battery present

Comment 5 Rui Miguel Seabra 2004-04-11 01:13:22 UTC
Created attachment 99308 [details]
dmesg from boot with Linux 2.6.5

now it works again: notice battery present

Comment 6 Rui Miguel Seabra 2004-04-11 01:15:13 UTC
I'd say whatever happened is now gone (phew).


Note You need to log in before you can comment on or make changes to this bug.